%global pkgname swh-lv2
%global gitver 75f9f84

Name:		lv2-swh-plugins
Version:	1.0.15
Release:	4.20091118git%{?dist}
Summary:	LV2 ports of LADSPA swh plugins
Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://lv2plug.in/
# Get sources from upstream git
# wget http://github.com/swh/lv2/tarball/master
Source0:	%{pkgname}-%{gitver}.tar.gz
#Source0:	http://plugin.org.uk/lv2/%{pkgname}-%{version}.tar.gz
# The following two patches are sent to the author on github:
# This patch fixes unresolved symbols errors
# http://github.com/swh/lv2/issues#issue/1/comment/77008
Patch0:		%{pkgname}-resolve-symbols.patch
# This is for preserving timestamps of the installed files and to correct
# the permissions of .ttl files
# http://github.com/swh/lv2/issues#issue/3
Patch1:		%{pkgname}-time-and-perm.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	fftw-devel
BuildRequires:	libxslt
BuildRequires:	lv2core-devel
Requires:	lv2core

%description
This is an early experimental port of my LADSPA plugins to the LV2
specification, c.f. http://lv2plug.in/ . It's still quite early days, but most
things should work as well or not as they did in LADSPA.


%prep
%setup -q -n %{pkgname}-%{gitver}
%patch0 -p1 -b .symbols
%patch1 -p1 -b .timeandperm

# We are using the system header:
rm -f include/lv2.h

%build
make real-clean
make %{?_smp_mflags} \
	CFLAGS="-I%{_includedir} $RPM_OPT_FLAGS" \
	LDFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install-system INSTALL_DIR="$RPM_BUILD_ROOT%{_libdir}/lv2"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/lv2/*


%changelog
* Wed Nov 18 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.0.15-4.20091118git
- Update to latest git, which was only a few bugfix commits away from latest release
- Drop upstreamed patches
- More thorough clean-up of the source tree before building

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.0.15-2
- Fix unresolved symbols

* Sun Mar 29 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.0.15-1
- Initial build
